import request from '@/config/axios'

// 字典
export const dictApi = {
  // 获取地区列表
  getAreaListData: async (params: any) => {
    return await request.get({ url: `/menduner/system/area/list`, params })
  },
  // 获取地区列表
  getPositionData: async (params: any) => {
    return await request.get({ url: `/menduner/system/position/list`, params })
  },
  // 职位类型树结构
  getPositionTreeData: async (params: any) => {
    return await request.get({ url: `/menduner/system/position/get/tree`, params })
  },
  // 地区树结构
  getAreaTreeData: async (params: any) => {
    return await request.get({ url: `/menduner/system/area/get/tree`, params })
  },
  // 标签树状
  getTagTreeDataApi: async (params: any) => {
    return await request.get({ url: `/menduner/system/tag/get/by/type`, params })
  }
}
